%define debug_package %{nil}
%bcond_without check

# https://github.com/git-lfs/git-lfs
Version:                2.12.0
Name:           git-lfs
Release:        1%{?dist}
Summary:        Git extension for versioning large files

License:        MIT and BSD and Apache-2.0 and MPL-2.0
URL:            https://git-lfs.github.io/
Source0:        https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-v%{version}.tar.gz
Patch6000:        0001-use-vendor-dir-for-build.patch

%if %{with check}
# Tests
BuildRequires:  perl-Digest-SHA
BuildRequires:  perl-Test-Harness
# Tests require full git suite, but not generally needed.
BuildRequires:  git >= 1.8.5
%endif
BuildRequires:  golang, tar, which

Requires:       git-core >= 1.8.5

%description
Git Large File Storage (LFS) replaces large files such as audio samples,
videos, datasets, and graphics with text pointers inside Git, while
storing the file contents on a remote server.


%prep
%autosetup -n %{name}-%{version} -p1
cd ..
mv %{name}-%{version} %{name}
mkdir -p %{name}-%{version}/src/github.com/git-lfs
mv %{name} %{name}-%{version}/src/github.com/git-lfs/


%build
pushd src/github.com/git-lfs/%{name}
make
popd
# BaseOS is not support rubygem-ronn/ronn, ignore generate man pages


%install
install -Dpm0755 src/github.com/git-lfs/git-lfs/bin/git-lfs %{buildroot}%{_bindir}/%{name}


%files
%{_bindir}/%{name}


%changelog
* Sat Sep 19 2020 zhoukang <gameoverboss@163.com> - 2.12.0-1
- Initial package
